# DocumentCSS : Object
Return to: HTML DOM Level 2 index

Represents a Document that has a CSSView.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentCSS Constructor() : DocumentCSS Represents a Document that has a CSSView. | Show Details | no | 1.0+ | no | no | no

### DocumentCSS() : DocumentCSS

Represents a Document that has a CSSView.

Returns

DocumentCSS |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
getOverrideStyle(Element elt, [DOMString pseudoElt]) : CSSStyleDeclaration Changes the style of an element without modifying the stylesheets linked to the document. | Show Details | no | 1.0+ | no | no | no

Parameters

Element | elt | Element to modify the style for.
DOMString | pseudoElt | (optional)Optional pseudo-element to modify the style for.

Returns

CSSStyleDeclaration |

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs